Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions(), NavigationItem(False), CreatableItem(False)> _
Public Class ProductsGantRows
    Inherits BaseObject

    Private _ProductsGant As ProductsGant
    Private _Customers As Customers
    Private _Products As Products
    Private _CalculatedRotation As Double 'Kalkulált forgási sebesség
    Private _ManualRotation As Double 'Manuális forgási sebesség

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub

    <Association("ProductsGant - ProductsGantRows", GetType(ProductsGant))> _
    Property ProductsGant As ProductsGant
        Get
            Return _ProductsGant
        End Get
        Set(value As ProductsGant)
            SetPropertyValue("ProductsGant", _ProductsGant, value)
        End Set
    End Property
    Property Customers As Customers
        Get
            Return _Customers
        End Get
        Set(value As Customers)
            SetPropertyValue("Customers", _Customers, value)
        End Set
    End Property
    Property Products As Products
        Get
            Return _Products
        End Get
        Set(value As Products)
            SetPropertyValue("Products", _Products, value)
        End Set
    End Property
    Property CalculatedRotation As Double
        Get
            Return _CalculatedRotation
        End Get
        Set(value As Double)
            SetPropertyValue("CalculatedRotation", _CalculatedRotation, value)
        End Set
    End Property
    Property ManualRotation As Double
        Get
            Return _ManualRotation
        End Get
        Set(value As Double)
            SetPropertyValue("ManualRotation", _ManualRotation, value)
        End Set
    End Property

    'ReadOnly
    <VisibleInListView(False)> _
    <VisibleInLookupListView(False)> _
    <Association("ProductsGantRows - ProductsGantRowsBar", GetType(ProductsGantRowsBar))> _
    ReadOnly Property ProductsGantRowsBar As XPCollection(Of ProductsGantRowsBar)
        Get
            Return GetCollection(Of ProductsGantRowsBar)("ProductsGantRowsBar")
        End Get
    End Property
End Class
